import React from 'react';
import { View, StyleSheet, } from 'react-native';
import * as typing from './Week.type';
const styles = StyleSheet.create({
    week: {
        flexDirection: 'row',
        justifyContent: 'space-between',
        marginTop: 10,
    },
});
const Week = (props) => {
    return (React.createElement(View, { style: [styles.week, props.style.week] }, props.children));
};
Week.defaultProps = new typing.Props();
export default Week;
//# sourceMappingURL=Week.js.map