/// <reference types="react" />
import { ReactNode, ReactElement } from 'react';
import { ViewStyle, TextStyle } from 'react-native';
export interface Header {
    header?: ViewStyle;
    labelStyle?: TextStyle;
}
export interface Content {
    container?: ViewStyle;
    week?: ViewStyle;
}
export interface Styles {
    Header?: Header;
    Content?: Content;
}
export interface WeekData {
    title?: string;
    el?: ReactNode;
    style: TextStyle;
}
export interface Config {
    weekData?: Array<WeekData>;
    startDate?: string;
    endDate?: string;
    selectedDate?: Array<string>;
}
export interface PropsDefine {
    config?: Config;
    style?: Styles;
    onDateClick?: (x: any) => void;
    renderDay?: (x: any) => ReactElement<any>;
}
export declare class Props implements PropsDefine {
    config: {
        startDate: null;
        endDate: null;
    };
    style: {};
    onDateClick: null;
    renderDay: null;
}
