import React from 'react';
import { View } from 'react-native';
import Label from '../../Label';
import Line from '../Line';
import styles from './style';
import * as typing from './AxisY.type';
// const lcm = (m, n) => { // 辗转相除法 求最大公约数
//   for (let j = Math.min(m, n); j > 0; j -= 1) {
//     if (m % j === 0 && n % j === 0) {
//       return j;
//     }
//   }
// };
const AxisY = (props) => {
    const { max, style, } = props;
    const List = [];
    const splitNumber = props.splitNumber > 0 ? props.splitNumber : 1;
    const maxNumber = max;
    const average = maxNumber / splitNumber;
    for (let i = splitNumber; i > 0 || i === 0; i -= 1) {
        List.push(React.createElement(Label, { key: i, label: { title: `${Math.round(average * i)}`, style: [styles.labelY, style.labelY] } }));
    }
    return (React.createElement(View, { style: [styles.AxisY, style.AxisY] },
        React.createElement(View, { style: styles.labelGroupY }, List),
        React.createElement(Line, { vertical: true, style: style.lineY })));
};
AxisY.defaultProps = new typing.Props();
export default AxisY;
//# sourceMappingURL=AxisY.js.map