/// <reference types="react" />
import { ReactElement } from 'react';
import { ViewStyle } from 'react-native';
export interface labelprops {
    title?: string;
    el?: ReactElement<any>;
    style?: any;
}
export interface Style {
    container?: ViewStyle;
    week?: ViewStyle;
}
export interface PropsDefine {
    weekStart?: number;
    startDate?: string;
    endDate?: string;
    selectedDate?: Array<string>;
    removeClippedSubviews?: boolean;
    onDateClick?: (x: string) => void;
    renderDay?: (x: any) => ReactElement<any>;
    scrollEnabled?: boolean;
    style?: Style;
}
export declare class Props implements PropsDefine {
    startDate: string;
    endDate: any;
    width: number;
    removeClippedSubviews: boolean;
    onDateClick: any;
    weekStart: number;
    renderDay: any;
    scrollEnabled: boolean;
    selectedDate: any;
    style: any;
}
export interface StateDefine {
    currentMoment?: any;
    selectedMoment?: any;
}
export declare class State implements StateDefine {
    [x: string]: any;
    currentMoment?: any;
    selectedMoment?: any;
    constructor(props: any);
}
