import { Dimensions } from 'react-native';
import moment from 'moment';
const SCREEN_WIDTH = Dimensions.get('window').width;
export class Props {
    constructor() {
        this.startDate = moment().format('YYYY-MM-DD');
        this.endDate = null;
        this.width = SCREEN_WIDTH;
        this.removeClippedSubviews = true;
        this.onDateClick = null;
        this.weekStart = 1;
        this.renderDay = null;
        this.scrollEnabled = true;
        this.selectedDate = null;
        this.style = null;
    }
}
export class State {
    constructor(props) {
        this.currentMoment = moment(props.startDate).startOf('month');
        this.selectedMoment = moment(props.selectedDate[0]);
    }
}
//# sourceMappingURL=index.type.js.map