import { StyleSheet, Dimensions } from 'react-native';
const SCREEN_WIDTH = Dimensions.get('window').width;
const ITEM_WIDTH = SCREEN_WIDTH / 7;
const CIRLE_WIDTH = 28;
const FS = 13;
const DEFAULT_COLOR = '#8B8B8B';
const ACTIVE_COLOR = '#82A0FA';
const styles = StyleSheet.create({
    container: {
        flex: 1,
    },
    dayContainer: {
        width: ITEM_WIDTH,
        height: CIRLE_WIDTH,
        alignItems: 'center',
    },
    defaultDay: {
        textAlign: 'center',
        fontSize: FS,
        color: DEFAULT_COLOR,
        textAlignVertical: 'center',
    },
    MonthText: {
        textAlign: 'center',
        fontSize: FS,
        color: '#fff',
        textAlignVertical: 'center',
    },
    selectText: {
        textAlign: 'center',
        fontSize: FS,
        color: '#fff',
        backgroundColor: 'rgba(0,0,0,0)',
        textAlignVertical: 'center',
    },
    defaultTextBg: {
        justifyContent: 'center',
        width: CIRLE_WIDTH,
        height: CIRLE_WIDTH,
    },
    isSelect: {
        justifyContent: 'center',
        width: CIRLE_WIDTH,
        height: CIRLE_WIDTH,
        borderRadius: ITEM_WIDTH,
        backgroundColor: ACTIVE_COLOR,
    },
    isToday: {
        justifyContent: 'center',
        width: CIRLE_WIDTH,
        height: CIRLE_WIDTH,
        borderRadius: ITEM_WIDTH,
        backgroundColor: DEFAULT_COLOR,
    },
    isMonthStart: {
        color: ACTIVE_COLOR,
        textAlign: 'center',
        fontSize: FS,
    },
    disabled: {
        color: '#ccc',
    },
});
export default styles;
//# sourceMappingURL=style.js.map