import { ViewStyle, ListViewDataSource } from 'react-native';
export interface title {
    title?: string;
}
export interface Style {
    start?: ViewStyle;
    inRang?: ViewStyle;
    end?: ViewStyle;
}
export interface PropsDefine {
    startDate?: Date | string;
    weekData?: Array<title>;
    count?: number;
    width?: number;
    selectFrom?: Date;
    selectTo?: Date;
    rangeSelect?: boolean;
    onSelectionChange?: (current: Date, previous: Date) => void;
    activeStart?: ViewStyle;
    activeInRange?: ViewStyle;
    activeEnd?: ViewStyle;
}
export declare class Props implements PropsDefine {
    startDate: Date;
    count: number;
    weekData: {
        title: string;
    }[];
    width: number;
    selectFrom: any;
    selectTo: any;
    rangeSelect: boolean;
    style: {};
    activeStart: {
        borderTopLeftRadius: number;
        borderBottomLeftRadius: number;
        backgroundColor: string;
    };
    activeInRange: {
        backgroundColor: string;
    };
    activeEnd: {
        borderTopRightRadius: number;
        borderBottomRightRadius: number;
        backgroundColor: string;
    };
}
export interface StateDefine {
    dataSource?: ListViewDataSource;
}
export declare class State implements StateDefine {
    dataSource?: ListViewDataSource;
    constructor(dataSource: ListViewDataSource, date: Array<any>);
}
