import React from 'react';
import { View, } from 'react-native';
import Axis from './Axis';
import Rectangular from './Rectangular';
import styles from './style';
export class ChartDefaultProps {
    constructor() {
        this.style = null;
        this.children = null;
    }
}
const Chart = (props) => {
    return (React.createElement(View, { style: [styles.container, props.style] }, props.children));
};
Chart.defaultProps = new ChartDefaultProps();
Chart.Rectangular = Rectangular;
Chart.AxisX = Axis.X;
Chart.AxisY = Axis.Y;
export default Chart;
//# sourceMappingURL=Chart.js.map