import React from 'react';
import { View } from 'react-native';
import styles from './style';
import * as typing from './Line.type';
const Line = (props) => {
    const { vertical, style, } = props;
    const direction = vertical ? styles.vh : styles.hr;
    return (React.createElement(View, { style: [direction, style] }));
};
Line.defaultProps = new typing.Props();
export default Line;
//# sourceMappingURL=index.js.map