/// <reference types="react" />
import React, { Component } from 'react';
import { ViewStyle, ViewProperties } from 'react-native';
import { noop } from '../Tools';
export interface PropsDefine extends ViewProperties {
    children?: React.ReactElement<any> | string;
    left?: React.ReactElement<any> | string;
    right: React.ReactElement<any> | string;
    style: ViewStyle;
    onPressLeft: () => void;
    onPressRight: () => void;
}
export declare class Props implements PropsDefine {
    left: string;
    right: string;
    onPressLeft: typeof noop;
    onPressRight: typeof noop;
    children: any;
    style: any;
}
declare class Header extends Component<PropsDefine, any> {
    static defaultProps: PropsDefine;
    render(): JSX.Element;
}
export default Header;
