/// <reference types="react" />
import React, { Component } from 'react';
import { ViewProperties } from 'react-native';
export interface SwiperProps extends ViewProperties {
    children?: React.ReactElement<any> | any[];
    currentPage?: number;
}
export declare class SwiperDefaultProps implements SwiperProps {
    children: any[];
    currentPage: number;
}
export interface SwiperDefaultState {
    currentPage?: number;
}
export declare class SwiperState implements SwiperDefaultState {
    currentPage?: number;
    constructor(props: any);
}
declare class Swiper extends Component<SwiperProps, SwiperDefaultState> {
    onActive: Function[];
    onDeactive: Function[];
    static defaultProps: SwiperProps;
    state: SwiperDefaultState;
    constructor(props: any);
    getChildren: (children?: any[] | React.ReactElement<any> | (string & any[]) | (string & React.ReactElement<any>) | (number & any[]) | (number & React.ReactElement<any>) | (true & any[]) | (true & React.ReactElement<any>) | (false & any[]) | (false & React.ReactElement<any>) | (React.ReactElement<any> & any[]) | ((string | number | boolean | any[] | React.ReactElement<any>)[] & any[]) | ((string | number | boolean | any[] | React.ReactElement<any>)[] & React.ReactElement<any>)) => React.ReactChild[];
    bindOnActive(key: any, callback: any): void;
    bindEvent(obj: any, key: any, callback: any): void;
    goToScene: (nextNumber: any) => void;
    renderScene: () => JSX.Element[];
    render(): JSX.Element;
}
export default Swiper;
